%global momorel 1
%define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")
%global pythonver 2.5.1-11m

Summary: MoinMoin is a Python clone of WikiWiki
Name:    moin
Version: 1.7.1
Release: %{momorel}m%{?dist}
License: GPL
Group:   Applications/Internet
URL:     http://moinmo.in/
Source0: http://static.moinmo.in/files/%{name}-%{version}.tar.gz
NoSource: 0
Source1: README-rpm
Source2: moin.conf.dist
Source3: moin-setup
Patch0:  moin-1.7.1-config.patch
Patch1:  moin-1.7.1-newline.patch
Patch2:  moin-1.5.1-noredirect.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Requires: httpd
BuildRequires: python-devel >= %{pythonver}

%description
A WikiWikiWeb is a collaborative hypertext environment, with an emphasis on
easy access to and modification of information. MoinMoin is a Python
WikiClone that allows you to easily set up your own wiki, only requiring a
Web server and a Python installation.

%prep
%setup -q
%patch0 -p1 -b .config
%patch1 -p1 -b .newline
%patch2 -p1 -b .noredirect

%build
python setup.py build

%install
rm -rf %{buildroot}
python setup.py install --root=%{buildroot}
cp -a %{SOURCE1} README-rpm
mkdir -p %{buildroot}/etc/httpd/conf.d
install -m 0644 %{SOURCE2} %{buildroot}/etc/httpd/conf.d/
install %{SOURCE3} %{buildroot}%{_bindir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%doc README README-rpm docs/CHANGES docs/INSTALL.html
%doc docs/licenses/
%{_bindir}/*
%{python_sitelib}/moin-*.egg-info
%{python_sitelib}/MoinMoin/
%{python_sitelib}/jabberbot/
%{_datadir}/moin/
%{_sysconfdir}/httpd/conf.d/moin.conf.dist

%changelog
* Tue Jul 22 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.7.1-1m)
- update to 1.7.1

* Wed Apr 30 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5.8-4m)
- restrict python ver-rel for egginfo

* Tue Apr 29 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (1.5.8-3m)
- enable egg-info

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5.8-2m)
- rebuild against gcc43

* Mon Jun  4 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.5.8-1m)
- [SECURITY] CVE-2007-2423
- update to 1.5.8
- add Patch10 10010_CVE-2007-0857.patch

* Sun Mar 11 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (1.5.4-4m)
- add python libdir macro and modify python libdir

* Fri Feb 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.5.4-3m)
- modify python dir

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.5.4-2m)
- rebuild against python-2.5

* Sun Jul 16 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.5.4-1m)
- version up

* Thu Feb  7 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.5.2-1m)
- version up

* Sun Feb  5 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.5.1-1m)
- import from fc-extra
- add moin-setup

* Sun Dec 18 2005 Tommy Reynolds <Tommy.Reynolds@MegaCoder.com> 1.3.5-3
- Remove extraneous '\' from XML output, so that <screen>..</screen>
  does not generate '\' 'n' outside of any markup.

* Mon Aug 15 2005 Matthias Saou <http://freshrpms.net/> 1.3.5-2
- Fix python modules path from _libdir to _prefix/lib so that build works on
  64bit systems too.

* Mon Aug 15 2005 Matthias Saou <http://freshrpms.net/> 1.3.5-1
- Update to 1.3.5.
- Update the config patch.
- Update %%doc section (many moved to docs/).

* Wed Jun 15 2005 Matthias Saou <http://freshrpms.net/> 1.3.4-1
- Update to 1.3.4.
- Update the config patch.
- Move the README.redhat file out from the patch and rename it to README-rpm.

* Tue Apr 19 2005 Matthias Saou <http://freshrpms.net/> 1.3.3-2
- Adapted for inclusion into Extras.
- Merge relevant bits from Jeff's pyvault version.

* Wed Dec 22 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- 1.3.1

* Thu Dec 09 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- 1.3.0

* Sun Nov 07 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- 1.3beta4

* Fri Aug 06 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 1.2.3

* Wed May 19 2004 - Kai.Puolamaki@iki.fi
- Fix also directory permissions...

* Mon May 17 2004 - Kai.Puolamaki@iki.fi
- Fix file permissions

* Fri May 14 2004 - Kai.Puolamaki@iki.fi
- 1.2.1
- Home build

